{
  "display": {
    "icon": {
      "id": "minecraft:purple_dye"
    },
    "title": {
      "text": "Zapinator",
      "color": "light_purple",
      "bold": false
    },
    "description": "Stun enemies 50 times.",
    "show_toast": true,
    "announce_to_chat": false,
    "hidden": false
  },
  "parent": "main:progression/unlocks/purple/purple",
  "criteria": {
    "root": {
      "trigger": "minecraft:impossible"
    }
  },
  "rewards": {
    "function": "main:progression/unlocks/zapinator/grant"
  }
}